%define upstream_version 2.4_1
%define version %(echo %{upstream_version} | sed 's,_,.,')

%define major		1
%define libname		%mklibname %name %major
%define develname	%mklibname %name -d

Summary:	QFile extension with advisory locking functions
Name:		qtlockedfile
Version:	%{version}
Release:	%mkrel 6
Group:		Development/KDE and Qt
License:	GPLv3 or LGPLv2 with exceptions
URL:		http://qt.nokia.com/products/appdev/add-on-products/catalog/4/Utilities/qtlockedfile
Source0:	http://get.qt.nokia.com/qt/solutions/lgpl/%{name}-%{upstream_version}-opensource.tar.gz
Source1:	qtlockedfile.prf
# (Fedora) don't build examples
Patch0:		qtlockedfile-dont-build-example.patch
# (Fedora) Remove unnecessary linkage to libQtGui
Patch1:		qtlockedfile-dont-link-qtgui.patch
BuildRequires:	qt4-devel

%description
This class extends the QFile class with inter-process file locking capabilities.
If an application requires that several processes should access the same file,
QtLockedFile can be used to easily ensure that only one process at a time is
writing to the file, and that no process is writing to it while others are
reading it.

#--------------------------------------------------------------------

%package	-n %libname
Summary:	QFile extension with advisory locking functions
Group:		Development/KDE and Qt
Requires:	qt4-common

%description	-n %libname
This class extends the QFile class with inter-process file locking capabilities.
If an application requires that several processes should access the same file,
QtLockedFile can be used to easily ensure that only one process at a time is
writing to the file, and that no process is writing to it while others are
reading it.

This is the library package for %{name}

%files -n %libname
%{_qt4_libdir}/lib*.so.%{major}*

#--------------------------------------------------------------------

%package	-n %develname
Summary:	Development files for %{name}
Group:		Development/KDE and Qt
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}

%description	-n %develname
This package contains libraries and header files for developing applications
that use QtLockedFile.

%files -n %develname
%doc LGPL_EXCEPTION.txt LICENSE.* README.TXT
%doc doc example
%{_qt4_libdir}/lib*.so
%dir %{_qt4_includedir}/QtSolutions/
%{_qt4_includedir}/QtSolutions/
%{_qt4_datadir}/mkspecs/features/%{name}.prf

#--------------------------------------------------------------------

%prep
%setup -q -n %{name}-%{upstream_version}-opensource
%patch0 -p1 -b .no-example
%patch1 -p1 -b .dont-link-qtgui

%build
touch .licenseAccepted
# Does not use GNU configure
./configure -library
%qmake_qt4
%make

%install
# libraries
mkdir -p %{buildroot}%{_qt4_libdir}
cp -a lib/* %{buildroot}%{_qt4_libdir}

# headers
mkdir -p %{buildroot}%{_qt4_includedir}/QtSolutions
cp -a \
    src/qtlockedfile.h \
    src/QtLockedFile \
    %{buildroot}%{_qt4_includedir}/QtSolutions

mkdir -p %{buildroot}%{_qt4_datadir}/mkspecs/features
cp -a %{SOURCE1} %{buildroot}%{_qt4_datadir}/mkspecs/features/



%changelog

* Sun Jan 13 2013 umeabot <umeabot> 2.4.1-6.mga3
+ Revision: 380003
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Jan 25 2012 mikala <mikala> 2.4.1-5.mga2
+ Revision: 200682
- Rebuild for Qt4.8

* Tue Dec 27 2011 dmorgan <dmorgan> 2.4.1-4.mga2
+ Revision: 187998
- Use new qt4 macros

* Mon Dec 26 2011 dmorgan <dmorgan> 2.4.1-3.mga2
+ Revision: 187964
- Rebuild against new qt4 and new include path

* Mon Jun 20 2011 ahmad <ahmad> 2.4.1-2.mga2
+ Revision: 110219
- Use the lib %%major in the file list

* Mon Jun 20 2011 ahmad <ahmad> 2.4.1-1.mga2
+ Revision: 110213
- Adapt the spec to the Mageia packaging policies
- imported package qtlockedfile

